### R code from vignette source '/tmp/lyx_tmpdir.LKshgRi15682/lyx_tmpbuf0/sem-2-1-R.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: sem-2-1-R.Rnw:43-44
###################################################
  if(exists(".orig.enc")) options(encoding = .orig.enc)


###################################################
### code chunk number 2: Roptions
###################################################
if(!file.exists("tmpout")) dir.create("tmpout", showWarnings=F)
options(width=65, prompt="> ", continue="+  ")
options(useFancyQuotes = FALSE) 
set.seed(12345)
op <- par() 
pjmar <- c(4.1, 4.1, 1.5, 2.1) 
##pjmar <- par("mar")
par(mar=pjmar, ps=11)
options(SweaveHooks=list(fig=function() par(mar=pjmar, ps=12, xpd=F)))
pdf.options(onefile=F,family="Times",pointsize=12)


###################################################
### code chunk number 3: dat10
###################################################
list.files("../data")


###################################################
### code chunk number 4: dat20
###################################################
affect <- read.table("../data/affect.csv", header = TRUE, sep = ",", stringsAsFactors = FALSE)


###################################################
### code chunk number 5: dat30
###################################################
str(affect)


###################################################
### code chunk number 6: dat35 (eval = FALSE)
###################################################
## View(affect)


###################################################
### code chunk number 7: dat40
###################################################
affect$genderf <- factor(affect$gender, levels = c("male", "female"))


###################################################
### code chunk number 8: dat50
###################################################
str(affect)


###################################################
### code chunk number 9: dat60
###################################################
table("genderf" = affect$genderf, "gender" = affect$gender)


###################################################
### code chunk number 10: dat70
###################################################
table(affect$genderf, affect$gender)


###################################################
### code chunk number 11: dat80
###################################################
table("gender as factor" = affect$genderf, "Sex as an integer" = affect$Sex)


###################################################
### code chunk number 12: dat90
###################################################
affect$ethnicityf <- factor(affect$ethnicity)


###################################################
### code chunk number 13: dat100
###################################################
table("ethnicity factor" = affect$ethnicityf, "ethnicity" = affect$ethnicity)


###################################################
### code chunk number 14: sem-2-1-R.Rnw:396-397
###################################################
summary(affect)


###################################################
### code chunk number 15: sem-2-1-R.Rnw:405-407
###################################################
library(rockchalk)
summarize(affect)


###################################################
### code chunk number 16: sem-2-1-R.Rnw:415-417
###################################################
library(psych)
describe(affect)


###################################################
### code chunk number 17: t10
###################################################
t.test(x = affect$PosAFF1, y = affect$PosAFF2)


###################################################
### code chunk number 18: t20
###################################################
t.test(PosAFF1 ~ genderf, data = affect)


###################################################
### code chunk number 19: t30
###################################################
t.test(PosAFF1 ~ genderf, data = affect, var.equal = TRUE)


###################################################
### code chunk number 20: reg10
###################################################
lm(PosAFF1 ~ genderf, data = affect)


###################################################
### code chunk number 21: reg20
###################################################
m1 <- lm(PosAFF1 ~ genderf, data = affect)


###################################################
### code chunk number 22: reg30
###################################################
summary(m1)


###################################################
### code chunk number 23: reg40
###################################################
methods(class = class(m1))


###################################################
### code chunk number 24: reg50
###################################################
m2 <- lm(PosAFF1 ~ genderf + Agency1, data = affect)


###################################################
### code chunk number 25: reg51
###################################################
summary(m2)


###################################################
### code chunk number 26: reg60
###################################################
m2.inf <- influence.measures(m2)


###################################################
### code chunk number 27: reg70
###################################################
summary(m2.inf)


###################################################
### code chunk number 28: reg80
###################################################
m3log <- lm(PosAFF1 ~ genderf + log(Agency1), data = affect)


###################################################
### code chunk number 29: plot20
###################################################
plot(PosAFF1 ~ Agency1, data = affect)


###################################################
### code chunk number 30: plot30
###################################################
plot(PosAFF1 ~ genderf, data = affect)


###################################################
### code chunk number 31: plot40
###################################################
plot(ethnicityf ~ genderf, data = affect)


###################################################
### code chunk number 32: sem-2-1-R.Rnw:669-670 (eval = FALSE)
###################################################
## plot(m2)


###################################################
### code chunk number 33: plot50
###################################################
par(mfrow = c(2,2))
plot(m2)


###################################################
### code chunk number 34: plot60
###################################################
library(rockchalk)
plotSlopes(m2, plotx = "Agency1", modx = "genderf", interval = "confidence")


###################################################
### code chunk number 35: plot100
###################################################
library(lattice)
histogram( ~ PosAFF1 | genderf, data = affect, xlab = "Positive Affect")


###################################################
### code chunk number 36: sem-2-1-R.Rnw:773-774
###################################################
sessionInfo()


