### R code from vignette source 'sem-2-2-lavaan.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: sem-2-2-lavaan.Rnw:39-40
###################################################
  if(exists(".orig.enc")) options(encoding = .orig.enc)


###################################################
### code chunk number 2: sem-2-2-lavaan.Rnw:94-95
###################################################
if(!file.exists("tmpout")) dir.create("tmpout", showWarnings=F)


###################################################
### code chunk number 3: Roptions
###################################################
options(width=65, prompt="> ", continue="  ")
options(useFancyQuotes = FALSE) 
set.seed(12345)
op <- par() 
pjmar <- c(4.1, 4.1, 1.5, 2.1) 
##pjmar <- par("mar")
par(mar=pjmar, ps=11)
options(SweaveHooks=list(fig=function() par(mar=pjmar, ps=12, xpd=F)))
pdf.options(onefile=F,family="Times",pointsize=12)


###################################################
### code chunk number 4: sem-2-2-lavaan.Rnw:191-192
###################################################
dat <- readRDS("../data/affect.rds")


###################################################
### code chunk number 5: sem-2-2-lavaan.Rnw:195-196
###################################################
head(dat)


###################################################
### code chunk number 6: sem-2-2-lavaan.Rnw:235-237
###################################################
library(lavaan)
methods::formalArgs(sem)


###################################################
### code chunk number 7: regr10
###################################################
mod1 <- lm(PosAFF1 ~ Agency1 + Intrin1, data = dat)
summary(mod1)


###################################################
### code chunk number 8: regr20
###################################################
fmla2 <- "PosAFF1 ~ Agency1 + Intrin1"


###################################################
### code chunk number 9: regr30
###################################################
mod2 <- lm(fmla2, data = dat)


###################################################
### code chunk number 10: sem-2-2-lavaan.Rnw:332-333 (eval = FALSE)
###################################################
## a_latent_variable =~ indicator1 + indicator2 + indicator3


###################################################
### code chunk number 11: sem-2-2-lavaan.Rnw:340-341 (eval = FALSE)
###################################################
## Agency =~ Agency1 + Agency2 + Agency3


###################################################
### code chunk number 12: sem-2-2-lavaan.Rnw:357-358 (eval = FALSE)
###################################################
## latent1 ~~ latent2


###################################################
### code chunk number 13: lav10
###################################################
cfa.mod <- '
Agency =~ Agency1 + Agency2 + Agency3
Intrinsic =~ Intrin1 + Intrin2 + Intrin3
Extrinsic =~ Extrin1 + Extrin2 + Extrin3
Positive =~ PosAFF1 + PosAFF2 + PosAFF3
Negative =~ NegAFF1 + NegAFF2 + NegAFF3
'


###################################################
### code chunk number 14: sem-2-2-lavaan.Rnw:387-404 (eval = FALSE)
###################################################
## cfa.mod <- '
## Agency =~ Agency1
## Agency =~ Agency2
## Agency =~ Agency3
## Intrinsic =~ Intrin1
## Intrinsic =~ Intrin2
## Intrinsic =~ Intrin3
## Extrinsic =~ Extrin1
## Extrinsic =~ Extrin2
## Extrinsic =~ Extrin3
## Positive =~ PosAFF1
## Positive =~ PosAFF2
## Positive =~ PosAFF3
## Negative =~ NegAFF1
## Negative =~ NegAFF2
## Negative =~ NegAFF3
## '


###################################################
### code chunk number 15: lav20a
###################################################
cfa1 <- cfa(cfa.mod, data = dat)


###################################################
### code chunk number 16: lav20b
###################################################
summary(cfa1)


###################################################
### code chunk number 17: lav50a
###################################################
cfa.mod2 <- '
Agency =~ Agency1 + Agency2 + Agency3
Intrinsic =~ Intrin1 + Intrin2 + Intrin3
Extrinsic =~ Extrin1 + Extrin2 + Extrin3
Positive =~ PosAFF1 + PosAFF2 + PosAFF3
Negative =~ NegAFF1 + NegAFF2 + NegAFF3
Agency ~~ Intrinsic
Agency ~~ Extrinsic
Agency ~~ Positive
Agency ~~ Negative
Intrinsic ~~ Extrinsic
Intrinsic ~~ Positive
Intrinsic ~~ Negative
Extrinsic ~~ Positive
Extrinsic ~~ Negative
Positive ~~ Negative
'


###################################################
### code chunk number 18: lav50b
###################################################
cfa2 <- cfa(cfa.mod2, data = dat)
summary(cfa2)


###################################################
### code chunk number 19: lav30a
###################################################
cfa3 <- cfa(cfa.mod, data = dat, std.lv = TRUE)


###################################################
### code chunk number 20: lav30b
###################################################
summary(cfa3)


###################################################
### code chunk number 21: sem-2-2-lavaan.Rnw:594-595 (eval = FALSE)
###################################################
## summary(cfa1)


###################################################
### code chunk number 22: sem-2-2-lavaan.Rnw:615-616
###################################################
summary(cfa3, rsquare = TRUE, fit.measures = TRUE, ci = FALSE)


###################################################
### code chunk number 23: sem-2-2-lavaan.Rnw:662-663 (eval = FALSE)
###################################################
## parameterEstimates(cfa3, pvalue = FALSE, ci = FALSE)


###################################################
### code chunk number 24: sem-2-2-lavaan.Rnw:666-667
###################################################
head(parameterEstimates(cfa3, pvalue = FALSE, ci = FALSE), 15)


###################################################
### code chunk number 25: sem-2-2-lavaan.Rnw:678-680
###################################################
cfa3.df <- parTable(cfa3)
head(cfa3.df, 10)


###################################################
### code chunk number 26: sem-2-2-lavaan.Rnw:690-691
###################################################
fitMeasures(cfa1)


###################################################
### code chunk number 27: sem-2-2-lavaan.Rnw:696-697
###################################################
fitMeasures(cfa1, fit.measures = c("cfi", "rmsea"))


###################################################
### code chunk number 28: sem-2-2-lavaan.Rnw:737-741 (eval = FALSE)
###################################################
## coef(sem1)
## fitted(sem1)
## resid(sem1)
## anova(sem1)


###################################################
### code chunk number 29: sem-2-2-lavaan.Rnw:759-761 (eval = FALSE)
###################################################
## library(kutils)
## semTable(cfa3, fit = c("cfi", "rmsea"))


###################################################
### code chunk number 30: lav70a
###################################################
library(kutils)
semTable(cfa3, fit = c("cfi", "rmsea"), longtable = TRUE)


###################################################
### code chunk number 31: semplot10
###################################################
library(semPlot)
semPaths(cfa1, layout = "tree2")


###################################################
### code chunk number 32: moderation99
###################################################
moderate.mod1 <- 'PosAFF1 ~ c(a, b)*Agency1' 
out.mod1 <- sem(moderate.mod1, data = dat, group = "Sex") 
summary(out.mod1)


###################################################
### code chunk number 33: moderation991
###################################################
moderate.mod2 <- 'PosAFF1 ~ c(a, a)*Agency1' 
out.mod2 <- sem(moderate.mod2, data = dat, group = "Sex") 
summary(out.mod2)


###################################################
### code chunk number 34: moderation992
###################################################
anova(out.mod1, out.mod2)


###################################################
### code chunk number 35: sem-2-2-lavaan.Rnw:1053-1054
###################################################
sessionInfo()


