### R code from vignette source '/tmp/lyx_tmpdir.yqfrPMS14435/lyx_tmpbuf0/sem-2-3-semexample.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: sem-2-3-semexample.Rnw:37-38
###################################################
  if(exists(".orig.enc")) options(encoding = .orig.enc)


###################################################
### code chunk number 2: sem-2-3-semexample.Rnw:92-93
###################################################
if(!file.exists("tmpout")) dir.create("tmpout", showWarnings=F)


###################################################
### code chunk number 3: Roptions
###################################################
options(width=65, prompt="> ", continue="+  ")
options(useFancyQuotes = FALSE) 
set.seed(12345)
op <- par() 
pjmar <- c(4.1, 4.1, 1.5, 2.1) 
##pjmar <- par("mar")
par(mar=pjmar, ps=11)
options(SweaveHooks=list(fig=function() par(mar=pjmar, ps=12, xpd=F)))
pdf.options(onefile=F,family="Times",pointsize=12)


###################################################
### code chunk number 4: sem-2-3-semexample.Rnw:206-211
###################################################
dat <- read.csv("../data/job_placement.csv", header = FALSE)
colnames(dat) <- c("id", "wjcalc", "wjspl", "wratspl", "wratcalc", "waiscalc", "waisspl", "edlevel", "newschl", "suspend", "expelled", "haveld", "female", "age")
dat[dat == 99999] <- NA
scalescores <- dat[,2:7]
scalescores <- na.omit(scalescores)


###################################################
### code chunk number 5: sem-2-3-semexample.Rnw:214-219
###################################################
head(scalescores)
output1 <- factanal(scalescores, 1, rotation = "varimax") 
output1
output2 <- factanal(scalescores, 2, rotation = "varimax") 
output2


###################################################
### code chunk number 6: sem-2-3-semexample.Rnw:253-260
###################################################
library(lavaan)
CFAmodel <- "
  MATH =~ wratcalc + wjcalc + waiscalc
  SPELL =~ wratspl + wjspl + waisspl
"
testOutput <- cfa(model = CFAmodel, data = dat, std.lv = TRUE, missing = "fiml")
summary(testOutput, fit.measures = TRUE)


###################################################
### code chunk number 7: sem-2-3-semexample.Rnw:330-336
###################################################
configModel <- "
  MATH =~ wratcalc + wjcalc + waiscalc
  SPELL =~ wratspl + wjspl + waisspl
"
configOutput <- cfa(model = configModel, data = dat, group = "female", std.lv = TRUE, missing = "fiml")
summary(configOutput)


###################################################
### code chunk number 8: sem-2-3-semexample.Rnw:353-364
###################################################
metricModel <- "
  MATH =~ wratcalc + wjcalc + waiscalc
  SPELL =~ wratspl + wjspl + waisspl
  MATH ~~ c(1, NA)*MATH
  SPELL ~~ c(1, NA)*SPELL
"
metricOutput <- cfa(model = metricModel, data = dat, std.lv = TRUE,
                    group = "female", group.equal = "loadings",
                    missing = "fiml")
summary(metricOutput)
anova(configOutput, metricOutput)


###################################################
### code chunk number 9: sem-2-3-semexample.Rnw:381-395
###################################################
scalarModel <- "
  MATH =~ wratcalc + wjcalc + waiscalc
  SPELL =~ wratspl + wjspl + waisspl
  MATH ~~ c(1, NA)*MATH
  SPELL ~~ c(1, NA)*SPELL
  MATH ~ c(0, NA)*1
  SPELL ~ c(0, NA)*1
"
scalarOutput <- cfa(model = scalarModel, data = dat, std.lv = TRUE,
                    group = "female",
                    group.equal = c("loadings", "intercepts"),
                    missing = "fiml")
summary(scalarOutput)
anova(metricOutput, scalarOutput)


###################################################
### code chunk number 10: sem-2-3-semexample.Rnw:425-431
###################################################
MLRModel <- "
wjspl ~ edlevel + newschl + suspend + expelled + haveld + female + age
wjspl ~ 1
"
output <- sem(model = MLRModel, data = dat)
summary(output)


###################################################
### code chunk number 11: sem-2-3-semexample.Rnw:475-484
###################################################
SEMModel <- "
  MATH =~ wratcalc + wjcalc + waiscalc
  SPELL =~ wratspl + wjspl + waisspl
  MATH ~ edlevel + newschl + suspend + expelled + haveld + female + age
  SPELL ~ edlevel + newschl + suspend + expelled + haveld + female + age
  MATH ~~ SPELL
"
output <- sem(model = SEMModel, data = dat, missing = "fiml")
summary(output)


###################################################
### code chunk number 12: sem-2-3-semexample.Rnw:530-544
###################################################
dat <- read.table("../data/anxiety.dat", header = F) 
names(dat) <- c("a1", "a2", "a3", "a4")
model <- "
  intercept =~ 1*a1 + 1*a2 + 1*a3 + 1*a4 
  slope =~ 0*a1 + 1*a2 + 2*a3 + 3*a4 
  a1 ~ 0*1 
  a2 ~ 0*1 
  a3 ~ 0*1 
  a4 ~ 0*1 
  intercept ~ 1 
  slope ~ 1 
"
output <- sem(model, data = dat) 
summary(output)


###################################################
### code chunk number 13: sem-2-3-semexample.Rnw:568-569
###################################################
sessionInfo()


